<?php

/**
 * Marquage des espèces sensibles.
 *
 * Si Biodiv permet aux observateurs de considérer une observation comme sensible
 * afin de cacher sa localisation, cette information reste à la discrétion de 
 * l'observateur et ne prend pas en compte le statut de l'espèce. 
 * L'objectif de ce marquage en tâche de fond est de s'assurer que toutes les
 * observations associées à un taxon considéré comme sensible soient classées
 * elles-mêmes comme sensibles. On s'appuie pour celà sur le champ 'sensible' 
 * de la table 'spip_taxrefs'.
 *
 * @plugin     Biodiv
 * @copyright  2008-2025
 * @author     Renaud LAURETTE
 * @licence    GNU/GPL
 * @see		   LICENCE-BIODIV.md
 * @package    SPIP\Biodiv\Genie
 * @subpackage sensible
 * @since	   3.0
 */
if (!defined('_ECRIRE_INC_VERSION')) return;


/**
 * Force à discret la confidentialité des taxons sensibles.
 * Récupère en tâche de fond les observations dont le taxon a changé 
 * de sensibilité après le lien à l'espèce
 *
 * @pipeline		taches_generales_cron
 * @param int $t	(ignoré)
 * @return int		Toujours 1
 */
function genie_sensible_dist($t) {
	$rows = sql_allfetsel('id_espece','spip_taxrefs','sensible='.sql_quote('oui'));
	$especes = array();
	foreach($rows as $row) {
		$especes[] = $row['id_espece'];
	}
	$in = sql_in('id_espece',$especes);
	sql_updateq('spip_biodiv_observations', array('discret' => 'oui'), $in);
	return(1);
}

?>